#
# sample2.py
#
# Copyright (c) 2020 https://www.curict.com
# This software is released under the MIT License, see LICENSE.txt.
#

# psycopg2 モジュールのインポート
import psycopg2

# PostgreSQL Server へ接続
conn = psycopg2.connect('host=localhost port=5432 dbname=test user=postgres password=pass')

# カーソルを取得
with conn.cursor() as cur:
    # テーブルを削除する SQL を準備
    sql = 'DROP TABLE TestTable'

    # SQL を実行し、テーブル削除
    cur.execute(sql)

# コミットし、変更を確定する
conn.commit()

# 接続を閉じる
conn.close()
